axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Davanum Srinivas <dava...@gmail.com>
Subject Re: Installing AXIS on SAP WAS 6.40
Date Tue, 23 Aug 2005 14:38:34 GMT
I guess, your only choice is to open a help desk issue with SAP and
ask them to upgrade their web services implementation to latest SAAJ.

-- dims

On 8/23/05, antoine voiry <antoine.voiry@gmail.com> wrote:
> Hi,
>  This is not clean, and I would hate building an enterprise project on such an issue.
>  
>  The issue should be solved at WAS level for me.
>  Antoine
> 
> 
> On 8/22/05, kenneth.r.katsma@jpmorgan.com < kenneth.r.katsma@jpmorgan.com> wrote:
> >  
> > Still give it a try, HappyAxis will complain about the SAAJ jar but it should still
function. 
> >  
> > Thank you,
> >  
> >  Ken Katsma
> >   
> >  
> >  
> > Kenneth R Katsma  
> >           
> >  antoine voiry <antoine.voiry@gmail.com>  
> > 
> > 08/22/2005 09:02 AM 
> > Please respond to axis-user          
> >         To:        axis-user@ws.apache.org 
> >         cc:         
> >         Subject:        Re: Installing AXIS on SAP WAS 6.40
> >  
> >  
> >  
> > Hello all,
> >  Thanks
> >  I was refering to SAP Web Application Server and not to Websphere.
> >  Antoine
> >   
> > On 8/22/05, kenneth.r.katsma@jpmorgan.com  < kenneth.r.katsma@jpmorgan.com>
wrote: 
> > 
> >  It should work if you just try it.  A band-aid was put into 1.2.1 where Axis will
fall back to a syntax compatible with older versions of the SAAJ API if an error occurs. 
I am using it successfully with WAS 5.1.   The other workaround is to delete the webservices.jar
file from your websphere server, or do PARENT_LAST on your application classpath. 
> >  
> >  Thank you,
> >  
> >  Ken Katsma
> >  
> >  
> >  
> >  Kenneth R Katsma   
> >           
> >  antoine voiry < antoine.voiry@gmail.com>  
> > 
> > 08/22/2005 08:20 AM 
> >  Please respond to axis-user          
> >          To:        axis-user@ws.apache.org  
> >          cc:         
> >          Subject:        Installing AXIS on SAP WAS 6.40 
> > 
> >  
> >  
> >  Hello all,
> >  I am trying to install AXIS 1.2 on SAP WAS 6.40. I deployed axis as a
> >  war file with all library in the web-inf directory. Unfortunbatley
> >  this is not working  and  I am getting the following error when 
> >  trying happyaxis.
> >  Error: Invalid version of SAAJ API found in
> >  C:\usr\sap\J2E\JC00\j2ee\cluster\server0\bin\ext\webservices_lib\saaj-api.jar.
> >  Make sure that Axis' saaj.jar precedes
> >  C:\usr\sap\J2E\JC00\j2ee\cluster\server0\bin\ext\webservices_lib\saaj-api.jar
> >  in CLASSPATH.
> >  Axis will not work.
> >  See http://ws.apache.org/axis/java/install.html 
> >  
> >  
> >  Unfortunately, I am not fidning any help from SAP developers forums,
> >  so I was wondering if someone got a similar issue.
> >  
> >  Antoine
> >   
> > This communication is for informational purposes only. It is not intended
> >  as an offer or solicitation for the purchase or sale of any financial
> >  instrument or as an official confirmation of any transaction. All market prices,
> >  
> >  data and other information are not warranted as to completeness or accuracy and
> >  are subject to change without notice. Any comments or statements made herein 
> >  do not necessarily reflect those of JPMorgan Chase & Co., its subsidiaries

> >  
> >  and affiliates. 
> >  
> >  This communication is for informational purposes only. It is not intended
> > as an offer or solicitation for the purchase or sale of any financial
> > instrument or as an official confirmation of any transaction. All market prices,
> > 
> > data and other information are not warranted as to completeness or accuracy and
> > are subject to change without notice. Any comments or statements made herein 
> > do not necessarily reflect those of JPMorgan Chase & Co., its subsidiaries 
> > 
> > and affiliates.
> > 
> >    
> 
>   



-- 
Davanum Srinivas : http://wso2.com/ - Oxygenating The Web Service Platform

Mime
View raw message